Project

Profile

Help

HostedRedmine.com has moved to the Planio platform. All logins and passwords remained the same. All users will be able to login and use Redmine just as before. *Read more...*

Feature #905637 ยป 0046-meson-winbuild.sh-Do-ninja-install-step.patch

Marko Lindqvist, 2020-12-12 02:45 PM

View differences:

windows/installer_cross/meson-winbuild.sh
exit 1
fi
MESON_INSTALL_DIR=$(pwd)/meson-install-${SETUP}
if ! rm -Rf $MESON_INSTALL_DIR ; then
echo "Failed to clear out old install directory!" >&2
exit 1
fi
echo "----------------------------------"
echo "Building for $SETUP"
echo "Freeciv version $VERREV"
......
export PKG_CONFIG_PATH=${DLLSPATH}/lib/pkgconfig
if ! meson --cross-file=cross.txt -Dsyslua=false -Daudio=false ../../.. $EXTRA_CONFIG ; then
if ! meson --cross-file=cross.txt -Dprefix=$MESON_INSTALL_DIR -Dsyslua=false -Daudio=false \
../../.. $EXTRA_CONFIG ; then
echo "Meson run failed!" >&2
exit 1
fi
if ! ninja ; then
echo "Ninja run failed!" >&2
echo "Ninja build failed!" >&2
exit 1
fi
if ! ninja install; then
echo "Ninja install failed!" >&2
exit 1
fi
    (1-1/1)